transaction_entry
POST
Returns a single transaction from a specific ledger version.Unlike
tx, the target ledger version must be specified, and an error is returned when the transaction is not in it.📘 If the target ledger version is not specified, a notYetImplemented error is returned.
param[0]
parametersobjectrequired
tx_hashstringrequired
The hash of the transaction to look up.ledger_hashstring
The hash of the ledger version to use. Pass a 32-byte hex string.ledger_indexoneOf
Specifies the ledger version to use. Pass a ledger index as an integer, or use one of the shortcut strings below.validated: Uses the most recent ledger version validated by the network.closed: Uses the most recent ledger version the server has closed. It may not be validated.current: Uses the in-progress ledger version the server is currently building.
Responses
hashstring
The unique hash that identifies the transaction.ledger_indexinteger
The ledger index where the transaction was found.ledger_hashstring
The hash of the ledger version used.close_time_isostring
The time the ledger containing the transaction closed, in ISO 8601 format.tx_jsonobject
The transaction data.metaobject
The metadata describing the results of the transaction.validatedboolean
Whether the response was derived from a validated ledger version.codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Unauthorized"}
cURL
curl -X POST 'https://xrpl-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"method": "transaction_entry","params": [{"tx_hash": "E08D6E9754025BA2534A78707605E0601F03ACE063687A0CA1BDDACFCD1698C7"}]}'